Subject: bug#13480: 24.3.50; `C-w' from Isearch should translate newlines to spaces

From: Juri Linkov <[email-masked]>
Date: Sun, 24 Apr 2022 18:46:50 +0300

> Reading this bug report, it seems like everybody agrees that yanking a
> text containing newlines in `C-s C-y' should have the match also match
> other whitespace (if laxness is enabled).  There was disagreement
> whether the isearch prompt in these cases should be saying "foo^Jbar" or
> "foo bar" -- the former would be difficult to implement, while the
> latter isn't displaying exactly what the user yanked.
>
> I think displaying "foo bar" makes the most sense, because we're in a
> lax search.  And I think one of the patches Juri prepared implemented
> this, so I think we should just go ahead and push that change (possibly
> behind a user option).  Juri?

Ah, I already forgot about this problem, because it now works fine
with such customization :)

```
(setq search-whitespace-regexp "\\(?:\\s-\\|\n\\)+")
(setq-default search-default-mode 'char-fold-to-regexp)
(require 'char-fold)
(setq char-fold-symmetric t)
```